- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

G::Pam Member List

This is the complete list of members for G::Pam, including all inherited members.

authenticate(bool require_token) | G::Pam |
checkAccount(bool require_token) | G::Pam |
closeSession() | G::Pam |
converse(ItemArray &)=0 | G::Pam | pure virtual
delay(unsigned int usec)=0 | G::Pam | pure virtual
deleteCredentials() | G::Pam |
establishCredentials() | G::Pam |
ItemArray typedef | G::Pam |
name() const | G::Pam |
openSession() | G::Pam |
Pam(const std::string &app, const std::string &user, bool silent) | G::Pam |
refreshCredentials() | G::Pam |
reinitialiseCredentials() | G::Pam |
~Pam() | G::Pam | virtual